X
Tap here to go to the mobile version of the site.

Support Forum

Updated Plug-ins being marked as vulnerable

Posted

I happen to have a question about the Mozilla Plugin Checker. When I ran the Plugin Checker, both 'Java Applet' and 'QuickTime' Plug-ins are showing up as vulnerable, but according to Apple Support Communities, both of the 'vulnerable' plug-ins are up to date and not outdated since I'm running snow leopard on my mac. Why would these things be flagged if these currently have no updated version available?

I happen to have a question about the Mozilla Plugin Checker. When I ran the Plugin Checker, both 'Java Applet' and 'QuickTime' Plug-ins are showing up as vulnerable, but according to Apple Support Communities, both of the 'vulnerable' plug-ins are up to date and not outdated since I'm running snow leopard on my mac. Why would these things be flagged if these currently have no updated version available?

Additional System Details

Installed Plug-ins

  • Shockwave Flash 12.0 r0
  • LastPass Plugin
  • A plugin to detect whether the Adobe Extension Manager is installed on this machine.
  • Adobe Shockwave for Director Netscape plug-in, version 12.0.7
  • Facebook Video Calling by Skype
  • Displays Java applet content, or a placeholder if Java is not installed.
  • 5.1.20913.0
  • Unity Web Player version 4.2.1f4. (c) 2013 Unity Technologies ApS. All rights reserved.
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • Catalina Savings Printer Plugin
  • DivX VOD Helper Plug-in
  • Coupons Inc., Coupon Printing Plugin
  • Office Live Update v1.0
  • The Flip4Mac WMV Plugin allows you to view Windows Media content using QuickTime.
  • The DjVu plug-in allows you to view DjVu files. For more information, visit the Caminova web site.
  • iPhoto6
  • Box Edit
  • doubleTwist Web Plugin
  • This plugin uses libsidplay2 engine to play SID music

Application

  • User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:28.0) Gecko/20100101 Firefox/28.0

More Information

Application Basics
------------------
Name: Firefox
Version: 28.0
User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:28.0) Gecko/20100101 Firefox/28.0
Crash Reports for the Last 3 Days
---------------------------------
All Crash Reports
Extensions
----------
Name: Adblock Plus
Version: 2.5.1
Enabled: false
ID: {d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}
Name: DownloadHelper
Version: 4.9.21
Enabled: false
ID: {b9db16a4-6edc-47ec-a1f4-b86292ed211d}
Name: feedly
Version: 16.0.528
Enabled: false
ID: feedly@devhd
Name: Feedly Helper for Tab Badge
Version: 3
Enabled: false
ID: jid1-WB9aNNCJFB5Xqw@jetpack
Name: Feedly Notifier
Version: 2.7.2
Enabled: false
ID: jid1-BOjn8b0IM7kH2w@jetpack
Name: Flash and Video Download
Version: 1.51
Enabled: false
ID: {bee6eb20-01e0-ebd1-da83-080329fb9a3a}
Name: HTTPS Finder
Version: 0.85
Enabled: false
ID: {6bdc61ae-7b80-44a3-9476-e1d121ec2238}
Name: InvisibleHand
Version: 3.9.36
Enabled: false
ID: canitbecheaper@trafficbroker.co.uk
Name: iTube Studio
Version: 4.3.0.5
Enabled: false
ID: {B51267E0-2F92-11E1-B448-37B64724019B}
Name: klout
Version: 1.6
Enabled: false
ID: kwtr-for-firefox@klout.com
Name: LastPass
Version: 3.1.1
Enabled: false
ID: support@lastpass.com
Name: Personas Plus
Version: 1.7.3
Enabled: false
ID: personas@christopher.beard
Name: PriceBlink
Version: 4.1
Enabled: false
ID: info@priceblink.com
Name: RSS Handler for Feedly
Version: 1.0
Enabled: false
ID: jid1-S0p3wIGwpiBOSQ@jetpack
Name: Tab Badge
Version: 1.14
Enabled: false
ID: badge@darktrojan.net
Name: Test Pilot
Version: 1.2.3
Enabled: false
ID: testpilot@labs.mozilla.com
Name: Troubleshooter
Version: 1.1a
Enabled: false
ID: troubleshooter@mozilla.org
Name: WOT
Version: 20131118
Enabled: false
ID: {a0d7ccb3-214d-498b-b4aa-0e8fda9a7bf7}
Important Modified Preferences
------------------------------
accessibility.blockautorefresh: true
accessibility.browsewithcaret: true
accessibility.typeaheadfind.flashBar: 0
browser.cache.disk.capacity: 358400
browser.cache.disk.smart_size_cached_value: 358400
browser.cache.disk.smart_size.first_run: false
browser.cache.disk.smart_size.use_old_max: false
browser.places.importBookmarksHTML: false
browser.places.importDefaults: false
browser.places.leftPaneFolderId: -1
browser.places.migratePostDataAnnotations: false
browser.places.smartBookmarksVersion: 6
browser.places.updateRecentTagsUri: false
browser.search.useDBForOrder: true
browser.sessionstore.upgradeBackup.latestBuildID: 20140306171728
browser.startup.homepage: http://www.myfreecams.com/
browser.startup.homepage_override.buildID: 20140306171728
browser.startup.homepage_override.mstone: 28.0
browser.tabs.closeWindowWithLastTab: false
browser.tabs.loadInBackground: false
dom.mozApps.maxLocalId: 1003
dom.mozApps.used: true
dom.mozTCPSocket.enabled: true
dom.w3c_touch_events.expose: false
extensions.lastAppVersion: 28.0
font.internaluseonly.changed: true
font.name.serif.x-western: Arial
gfx.blacklist.webgl.msaa: 4
layers.acceleration.disabled: true
network.cookie.cookieBehavior: 1
network.cookie.prefsMigrated: true
places.database.lastMaintenance: 1394662998
places.history.expiration.transient_current_max_pages: 100664
places.history.expiration.transient_optimal_database_size: 161061272
plugin.disable_full_page_plugin_for_types: audio/prs.sid,audio/x-ms-wma,application/pdf
plugin.importedState: true
plugin.state.divxbrowserplugin: 0
print.macosx.pagesetup-2: PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iVVRGLTgiPz4KPCFET0NUWVBFIHBsaXN0IFBVQkxJQyAiLS8vQXBwbGUvL0RURCBQTElTVCAxLjAvL0VO
print.print_bgcolor: false
print.print_bgimages: false
print.print_colorspace:
print.print_command:
print.print_downloadfonts: false
print.print_duplex: 0
print.print_evenpages: true
print.print_in_color: true
print.print_margin_bottom: 0.5
print.print_margin_left: 0.5
print.print_margin_right: 0.5
print.print_margin_top: 0.5
print.print_oddpages: true
print.print_orientation: 0
print.print_page_delay: 50
print.print_paper_data: 0
print.print_paper_height: 11.00
print.print_paper_name:
print.print_paper_size_type: 1
print.print_paper_size_unit: 0
print.print_paper_width: 8.50
print.print_plex_name:
print.print_resolution: 0
print.print_resolution_name:
print.print_reversed: false
print.print_scaling: 1.00
print.print_shrink_to_fit: true
print.print_to_file: false
print.print_unwriteable_margin_bottom: 17
print.print_unwriteable_margin_left: 25
print.print_unwriteable_margin_right: 25
print.print_unwriteable_margin_top: 17
privacy.donottrackheader.enabled: true
privacy.sanitize.migrateFx3Prefs: true
security.csp.enable: false
security.default_personal_cert: Select Automatically
security.warn_viewing_mixed.show_once: false
storage.vacuum.last.index: 1
storage.vacuum.last.places.sqlite: 1394516442
Graphics
--------
Device ID: 0x 863
GPU Accelerated Windows: 0/1 Basic
Vendor ID: 0x10de
WebGL Renderer: NVIDIA Corporation -- NVIDIA GeForce 9400M OpenGL Engine
windowLayerManagerRemote: false
AzureCanvasBackend: quartz
AzureContentBackend: quartz
AzureFallbackCanvasBackend: none
AzureSkiaAccelerated: 0
JavaScript
----------
Incremental GC: true
Accessibility
-------------
Activated: false
Prevent Accessibility: 0
Library Versions
----------------
NSPR
Expected minimum version: 4.10.3
Version in use: 4.10.3
NSS
Expected minimum version: 3.15.5 Basic ECC
Version in use: 3.15.5 Basic ECC
NSSSMIME
Expected minimum version: 3.15.5 Basic ECC
Version in use: 3.15.5 Basic ECC
NSSSSL
Expected minimum version: 3.15.5 Basic ECC
Version in use: 3.15.5 Basic ECC
NSSUTIL
Expected minimum version: 3.15.5
Version in use: 3.15.5

FredMcD
  • Top 10 Contributor
4254 solutions 59579 answers

As long as you know the plugins are up to date, don't worry about it. Sometimes the checker makes a mistake because it thinks ver 123 is the latest but its ver 124 or 123.2 that is current.

As long as you know the plugins are up to date, don't worry about it. Sometimes the checker makes a mistake because it thinks ver 123 is the latest but its ver 124 or 123.2 that is current.